Subject: Re: bad metafile

From: [email-masked] (John Clyne)
Date: Tue, 2 Jun 92 10:40:05 MDT

> John:
> 
> I have a large (~45Mb) cgm file that has everything I want on
> it except, that my program bombed at the very end, and did not
> do the clsgks call. I guess this means it does'nt have some
> end-of-metafile mark. Will this screw up TAGS? Is it easy to
> add the EOF?
> 
> --Ben
>  
> 

I've had good luck using med to fix metafiles that were corrupt. Try
the following:

	% med valid_ncgm
	med> 1,$d
	med> r your_corrupt_file
	med> w new.ncgm
	med> quit

where 'valid_ncgm' is any ncgm and 'your_corrupt_file' is the file you
want to try and repair. The new file will be named 'new.ncgm'.

jc